/* 
**
**  remedial - a GUI front-end for avifile
**  Copyright (C) 2002  Paul Dwerryhouse <paul@dwerryhouse.com.au>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*/

#ifndef PLAYER_H
#define PLAYER_H

#define AVM_COMPATIBLE 

#include <aviplay.h>
#include "configfile.h"

#define ABOUTMSG 	"Remedial (version: " VERSION ")\n" \
			"Author: Paul Dwerryhouse\n" \
			"Email: paul@dwerryhouse.com.au\n" \
			"WWW: http://leapster.org/remedial/\n"
		
class Player {

private:
	avm::IAviPlayer *player;
	char *file;
	unsigned int volume;
	unsigned char muted;
	struct preset *presets;
	int autostart;
	bool useproxy;
	char *proxy;


public:
	Player();
	int start();
	void play();
	void stop();
	void buffer();
	void setFile(char *f) { file = f; autostart=1; }
	void setPreset(int i) { choosepreset(i); autostart=1; }
	void mute();
	void setvol(int);
	unsigned int getvol();
	void choosepreset(int);
	char *getname(int);
	int status();
	int getautostart() { return autostart; }
	const char *about() { return ABOUTMSG; }
	void setProxy(bool,const char *);
};

#endif
