/* 
**
**  remedial - a GUI front-end for avifile
**  Copyright (C) 2002  Paul Dwerryhouse <paul@dwerryhouse.com.au>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*/


#include <qapplication.h>
#include <qvbox.h>
#include <qlabel.h>
#include <qpixmap.h>
#include <qevent.h>
#include <stdio.h>
#include <qtimer.h>
#include "player.h"
#include "qtdock.h"
#include "qtdock.moc"
#include "dock.xpm"

QtDock::QtDock(QWidget *parent, const char *name)
	: QVBox(parent,name) {

	sig_start=playing=sig_stop=0;

	timer = new QTimer();

	setFixedSize(64,64);

	QLabel *label = new QLabel(this);
	label->setPixmap(QPixmap(dock_xpm));

	connect(timer,SIGNAL(timeout()),this,SLOT(timerslot()));

	timer->start(500);
	// connect(this,SIGNAL(valueChanged(int)),this,SLOT(clicked()));
}

// void QtDock::clicked(void) {
// 	fprintf(stderr,"click\n");
// }

void QtDock::mouseReleaseEvent ( QMouseEvent * e ) {
	int x,y;

	x=e->x(); y=e->y();

	if ( 5 <= x  && x <= 34 && 7 <= y && y <= 56) {
		int button;

		button = ((x - 5) / 14) + 2 * ((y-7)/10);

 		fprintf(stderr,"Button: %d\n",button);

		if (playing) {
			player->stop();
			playing=0;
		}

		player->choosepreset(button);

		start();	

			
	} else if ( 43 <= x && x <= 58 && 7 <= y && 36) {
		int action;

		action = (y - 7) / 10;
		fprintf(stderr,"Action Button: %d\n",action);
		switch(action) {
			case 0:		start();
					break;
			case 1:		sig_stop=1;
					break;
		}

	} else {
 		fprintf(stderr,"%d %d\n",e->x(), e->y());
	}
}


void QtDock::timerslot() {


	if (sig_start) {
		fprintf(stderr,"ping\n");
		if (player->start()) {
			starttime = time(0);
			sig_start=0; playing=1;
		}
	} 

	if (playing) { 
		char *statusstr;
		int sec,min;
		int state;
		char timestr[10];
		player->play();

		/*
		state = player->status();
		
		switch(state) {
			case 0: statusstr="Opening..."; break;
			case 1: statusstr="Buffering..."; break;
			case 2: statusstr="Playing"; break;
			case 3: statusstr="Stopped"; break;
			case 4: statusstr="Paused"; break;
			case 5: statusstr="Invalid"; 
				playing=0;
				break;
			default: statusstr="Unknown"; break;
		}
			
	
		status->setText(statusstr);
	
		sec = time(0)-starttime;
		min = (int) (sec / 60);
		sec = sec - min*60;
	
		sprintf(timestr,"%d.%02d",min,sec);
		runtime->setText(timestr);
		*/	
	}

	if (sig_stop) { 
		player->stop();
		playing=0;
		sig_stop=0;
	}

}


void QtDock::setPlayer(Player *p) { 
	player = p; 

	// if (player->getautostart()) sig_start=1;
}

void QtDock::start() {
        if (playing) { 
                player->stop();
                playing=0;
        }
        sig_start=1;
}

