/* 
**
**  remedial - a GUI front-end for avifile
**  Copyright (C) 2002  Paul Dwerryhouse <paul@dwerryhouse.com.au>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*/

#ifndef QTGUI_H
#define QTGUI_H

#include <qapplication.h>
#include <qvbox.h>
#include <qhbox.h>
#include <qpushbutton.h>
#include <qmenubar.h>
#include <qpopupmenu.h>
#include <qtimer.h>
#include <qlabel.h>
#include <qslider.h>
#include <qspinbox.h>

extern "C" {
#include <time.h>
}

#include "player.h"
#include "qtoptionsdialog.h"

class QtGui : public QVBox {
	Q_OBJECT
	
private:
	Player *player;
	QTimer *timer;
	time_t starttime;
	QLabel *runtime;
	QLabel *status;
	QPushButton *presets[10];
	QSlider *volume;
	int playing;
	int sig_start;
	int sig_stop;
	QSpinBox *presetpage;
	OptionsDialog *dialog;

public:
	QtGui(QWidget *parent=0, const char *name=0);
	void setPlayer(Player *);
	void quit();

public slots:
	void start();
	void stop();
	void do_filemenu(int);
	void do_playmenu(int);
	void do_toolsmenu(int);
	void do_helpmenu(int);
	void do_setoptions();
	void mute();
	void setvol(int);
	void preset(int);
	void timerslot();
	void changePage(int);
};

#endif
