#include <qtabdialog.h>
#include <qvbox.h>
#include <qwidget.h>
#include <qlabel.h>
#include <stdio.h>
#include "qtoptionsdialog.h"
#include "qtoptionsdialog.moc"

OptionsDialog::OptionsDialog(QWidget *parent , const char *name, 
				bool modal) 
	: QTabDialog( parent, name, modal ) {

	QVBox *tab1 = new QVBox(this);
	tab1->setMargin(5);

	tooltipsenabled = new QCheckBox("Enable Tooltips",tab1);
	tooltipsenabled->setChecked(TRUE);
	minimised = new QCheckBox("Minimised Interface (not functional)",tab1);
	addTab(tab1,"Interface");

	QVBox *tab2 = new QVBox(this);
	tab2->setMargin(5);


	useproxy = new QCheckBox("Use HTTP Proxy",tab2);
	connect(useproxy,SIGNAL(stateChanged(int)),this,
				SLOT(do_enterproxy(int)));

	(void) new QLabel("Proxy host:",tab2);

	proxyhost = new QLineEdit(tab2);
	proxyhost->setEnabled(0);

	(void) new QLabel("Proxy port:",tab2);

	proxyport = new QLineEdit(tab2);
	proxyport->setEnabled(0);

	addTab(tab2,"Connection");

	setApplyButton("Apply");
	setCancelButton("Cancel");

	setCaption("Options");
	/*
	widget = new QWidget();
	button = new QPushButton("Push Me",widget);
	addTab(widget,"Misc");
	*/

}

void OptionsDialog::do_enterproxy(int state) { 
	if (state == QCheckBox::Off) {
		proxyhost->setEnabled(0);
		proxyport->setEnabled(0);
	} else if (state == QCheckBox::On) {
		proxyhost->setEnabled(1);
		proxyport->setEnabled(1);
	}
}

