#ifndef QTOPTIONSDIALOG_H
#define QTOPTIONSDIALOG_H

#include <qtabdialog.h>
#include <qcheckbox.h>
#include <qlineedit.h>
#include <qwidget.h>
#include <stdio.h>

class OptionsDialog : public QTabDialog {
	Q_OBJECT

protected:
	QCheckBox *tooltipsenabled;
	QCheckBox *minimised;
	QCheckBox *useproxy;
	QLineEdit *proxyhost,*proxyport;

protected slots:
	void do_enterproxy(int);

public:
	OptionsDialog(QWidget *parent = 0, const char *name = 0, 
				bool modal = FALSE);

	bool getToolTipsState() { return tooltipsenabled->isChecked(); }
	bool getMinimisedState() { return minimised->isChecked(); }
	bool getUseProxy() { return useproxy->isChecked(); }
	const char *getProxyHost() { return proxyhost->displayText(); }
	const char *getProxyPort() { return proxyport->displayText(); }
};

#endif
